
features <- function(x) {
  stopifnot(is.numeric(x), is.matrix(x), ncol(x) == 2)
  c(feature_angle(x),
    feature_centroid(x),
    feature_cluster(x, 0.01),
    feature_cluster(x, 0.05),
    feature_cluster(x, 0.1),
    feature_chull(x),
    feature_distance(x),
    feature_modes(x),
    feature_mst(x),
    feature_nnds(x)
    )                
}
